How to use a specific version of Wowza Player

The embed code generated by Wowza Player Builder points to the most recent (latest) version of Wowza Player by default, but you can edit the embed code to use an earlier version. We usually recommend that you use the latest version, but specifying an earlier version can be used as a workaround to any bugs introduced in the latest. 

To specify the Wowza Player version you want to use, do the following:

  1. Sign in to the Wowza Player Builder webpage. If you have more than one license key for Wowza Player software, under Stream Source Information, select the license key you want to use in Choose your license key.
  2. On the Stream Source Information tab in Player Builder, enter your Apple HLS stream URL in Stream source (HLS).
  3. Update the rest of the display and playback settings on the Stream Source Information and Player Options tabs and then click Update Preview to test your stream settings in the preview window on the right side of the page. For more information on these settings, see Player Builder configuration settings for Wowza Player.
  4. In the JS Include section, modify the src value to replace latest with the version in the format of X.Y.ZZ.BBBB, where:
    • X is the major version number.
    • Y is the minor version number.
    • ZZ is the two-digit bug fix version number.
    • BBBB is the four-digit build number.
    For example, to specify that you want to use version 1.0.05 (build number 4378), the JS Include embed code should be:
    <script type="text/javascript" src="//player.wowza.com/player/1.0.05.4378/wowzaplayer.min.js"></script>
    Note: A list of version and build numbers is available in Latest Wowza Player updates.
  5. After modifying the JS Include src, copy and paste the embed code into your webpages as described in Creating a custom Wowza Player with Wowza Player Builder.

Originally published: for Wowza Player on 02-28-2017.

If you're having problems or want to discuss this article, post in our forum.